AlgoJudge documentation0.1
REST reference

Grants

GET/grants

Query Parameters

page?integer
Formatint32
pageSize?integer
Formatint32
userId?string
activityId?string
Formatuuid
scope?string

Response Body

curl -X GET "https://example.com/grants"
{  "items": [    {      "id": "string",      "userId": "string",      "userName": "string",      "userLogin": "string",      "activityId": "string",      "activityName": "string",      "permissions": [        "string"      ],      "isSystem": true,      "createdFromTemplate": "string",      "state": "string",      "groupId": "string",      "groupName": "string",      "createdAt": "string",      "source": "string",      "sourceProviderId": "string",      "sourceProviderName": "string",      "managed": true,      "overrideSystem": true    }  ],  "total": 0,  "page": 0,  "pageSize": 0}
POST/grants

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/grants" \  -H "Content-Type: application/json" \  -d '{    "userId": "string",    "permissions": [      "string"    ]  }'
{  "id": "string",  "userId": "string",  "userName": "string",  "userLogin": "string",  "activityId": "string",  "activityName": "string",  "permissions": [    "string"  ],  "isSystem": true,  "createdFromTemplate": "string",  "state": "string",  "groupId": "string",  "groupName": "string",  "createdAt": "string",  "source": "string",  "sourceProviderId": "string",  "sourceProviderName": "string",  "managed": true,  "overrideSystem": true}
DELETE/grants/{id}

Path Parameters

id*string
Formatuuid

Response Body

curl -X DELETE "https://example.com/grants/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty